Overview
POST
/project/work-items/{id}/commentsprojectAppend a comment to a work item (a comment.added activity)
Create a record in comments.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- bodystring
Example
{
"body": "string"
}Responses
201
Created comment (activity row)
- idstring
- ecosystemIdstring
- projectIdstring
- workItemIdoptionalstring?
set when the event is card-scoped
- actorKindoptionalstring?
- actorIdoptionalstring?
- actorLabeloptionalstring?
- actionstring
the event, e.g. project.created/updated/deleted, status.*, participant.*, work_item.created/updated/status_changed/assigned/deleted, comment.added
- detailoptionalobject?
action-specific payload (jsonb)
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"projectId": "string",
"workItemId": "string",
"actorKind": "string",
"actorId": "string",
"actorLabel": "string",
"action": "string",
"detail": {},
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/project/work-items/{id}/comments" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"body": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/work-items/{id}/comments", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"body\": \"string\"\n}",
});
const data = await res.json();